package cn.iocoder.yudao.module.depository.convert.lineChannelPackaging;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.depository.vo.lineChannelPackaging.*;
import cn.iocoder.yudao.module.depository.dal.dataobject.lineChannelPackaging.LineChannelPackagingDO;

/**
 * 线路渠道清关费包装类型 Convert
 * @author yanghao
 */
@Mapper
public interface LineChannelPackagingConvert {
    /*****转换MapStruct*****/
    LineChannelPackagingConvert INSTANCE = Mappers.getMapper(LineChannelPackagingConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    LineChannelPackagingDO convert(LineChannelPackagingCreateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    LineChannelPackagingBackVO convert(LineChannelPackagingDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<LineChannelPackagingBackVO> convertList(List<LineChannelPackagingDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<LineChannelPackagingBackVO> convertPage(PageResult<LineChannelPackagingDO> page);
}
