package cn.iocoder.yudao.module.depository.convert.warehouse;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.depository.vo.shelf.ShelfCreateReqVO;
import cn.iocoder.yudao.module.depository.vo.shelf.ShelfExcelVO;
import cn.iocoder.yudao.module.depository.vo.shelf.ShelfRespVO;
import cn.iocoder.yudao.module.depository.vo.shelf.ShelfUpdateReqVO;
import cn.iocoder.yudao.module.depository.dal.dataobject.warehouse.ShelfDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 货架 Convert
 *
 * @author wlh
 */
@Mapper
public interface ShelfConvert {

    ShelfConvert INSTANCE = Mappers.getMapper(ShelfConvert.class);

    ShelfDO convert(ShelfCreateReqVO bean);

    ShelfDO convert(ShelfUpdateReqVO bean);

    ShelfRespVO convert(ShelfDO bean);

    List<ShelfRespVO> convertList(List<ShelfDO> list);

    PageResult<ShelfRespVO> convertPage(PageResult<ShelfDO> page);

    List<ShelfExcelVO> convertList02(List<ShelfDO> list);

}
