package cn.iocoder.yudao.module.depository.convert.warehouse;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.depository.vo.shelfGrid.ShelfGridCreateReqVO;
import cn.iocoder.yudao.module.depository.vo.shelfGrid.ShelfGridExcelVO;
import cn.iocoder.yudao.module.depository.vo.shelfGrid.ShelfGridRespVO;
import cn.iocoder.yudao.module.depository.vo.shelfGrid.ShelfGridUpdateReqVO;
import cn.iocoder.yudao.module.depository.dal.dataobject.warehouse.ShelfGridDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 货架格子 Convert
 *
 * @author wlh
 */
@Mapper
public interface ShelfGridConvert {

    ShelfGridConvert INSTANCE = Mappers.getMapper(ShelfGridConvert.class);

    ShelfGridDO convert(ShelfGridCreateReqVO bean);

    ShelfGridDO convert(ShelfGridUpdateReqVO bean);

    ShelfGridRespVO convert(ShelfGridDO bean);

    List<ShelfGridRespVO> convertList(List<ShelfGridDO> list);

    PageResult<ShelfGridRespVO> convertPage(PageResult<ShelfGridDO> page);

    List<ShelfGridExcelVO> convertList02(List<ShelfGridDO> list);

}
