package cn.iocoder.yudao.module.depository.convert.warehouse;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.framework.common.util.collection.CollectionUtils;
import cn.iocoder.yudao.module.ecw.dal.dataobject.region.RegionDO;
import cn.iocoder.yudao.module.system.enums.permission.MenuIdEnum;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.depository.vo.warehouse.*;
import cn.iocoder.yudao.module.depository.dal.dataobject.warehouse.WarehouseDO;
import org.slf4j.LoggerFactory;

/**
 * 仓库 Convert
 *
 * @author wlh
 */
@Mapper
public interface WarehouseConvert {

    WarehouseConvert INSTANCE = Mappers.getMapper(WarehouseConvert.class);

    WarehouseDO convert(WarehouseCreateReqVO bean);

    WarehouseDO convert(WarehouseUpdateReqVO bean);

    WarehouseRespVO convert(WarehouseDO bean);

    List<WarehouseRespVO> convertList(List<WarehouseDO> list);

    PageResult<WarehouseRespVO> convertPage(PageResult<WarehouseDO> page);

    PageResult<WarehouseLineBindRespVO> convertLinePage(PageResult<WarehouseDO> page);

    List<WarehouseExcelVO> convertList02(List<WarehouseDO> list);

    List<RegionWarehouse> convertList03(List<RegionDO> list);
    RegionWarehouse convert01(RegionDO bean);

    List<WarehouseTreeRegionVO> convertTreeRegion(List<WarehouseTreeRegionVO> list);


}
