package cn.iocoder.yudao.module.depository.dal.dataobject.lineChannelPriceStepClearance;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 线路渠道清关费阶梯价格 DO
 *
 * @author yanghao
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_line_channel_price_step_clearance")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class LineChannelPriceStepClearanceDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;

    /**
     * 线路ID
     */
    private Long lineId;
    /**
     * 包装类型ID
     */
    private Long packagingId;
    /**
     * 起始数量
     */
    private java.math.BigDecimal startNum;
    /**
     * 结束数量
     */
    private java.math.BigDecimal endNum;
    /**
     * 清关费用
     */
    private java.math.BigDecimal clearancePrice;

}
