package cn.iocoder.yudao.module.depository.vo.dept;

import lombok.*;
import io.swagger.annotations.*;

/**
* 部门仓库(多对多) Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class DeptWarehouseBaseVO {

    @ApiModelProperty(value = "部门id")
    private Long deptId;

    @ApiModelProperty(value = "仓库id")
    private Long warehouseId;

    @ApiModelProperty(value = "0显示 1不显示")
    private Integer status;

}
