package cn.iocoder.yudao.module.depository.vo.lineChannelPriceStepClearance;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@Data
@ToString(callSuper = true)
@ApiModel("管理后台 - 线路渠道清关费阶梯价格创建 Request VO")
public class LineChannelPriceStepClearanceCreateReqVO {

    /**
     * 线路ID
     */
    private Long lineId;
    /**
     * 包装类型ID
     */
    private Long packagingId;

    @ApiModelProperty(value = "起始数量", required = true)
    @NotNull(message = "起始数量不能为空")
    private java.math.BigDecimal startNum;

    @ApiModelProperty(value = "结束数量")
    private java.math.BigDecimal endNum;

    @ApiModelProperty(value = "清关费用")
    private java.math.BigDecimal clearancePrice;

}
