package cn.iocoder.yudao.module.depository.vo.shelfGrid;

import lombok.*;

import java.math.BigDecimal;

import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 货架格子 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class ShelfGridBaseVO {

    @ApiModelProperty(value = "货架ID")
    private Long shelfId;

    @ApiModelProperty(value = "区域编码")
    private String regionCode;

    @ApiModelProperty(value = "货架编号")
    private Integer shelfNo;

    @ApiModelProperty(value = "库存容量")
    private BigDecimal volume;

    @ApiModelProperty(value = "货架类型")
    private Integer shelfType;

    @ApiModelProperty(value = "排序", required = true)
    @NotNull(message = "排序不能为空")
    private Integer sort;

    @ApiModelProperty(value = "是否展示 默认为展示")
    private Integer status;

}
