package cn.iocoder.yudao.module.depository.vo.shelfGrid;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 货架格子 Excel VO
 *
 * @author wlh
 */
@Data
public class ShelfGridExcelVO {

    @ExcelProperty("货架ID")
    private Long shelfId;

    @ExcelProperty("区域编码")
    private String regionCode;

    @ExcelProperty("货架编号")
    private Integer shelfNo;

    @ExcelProperty("库存容量")
    private BigDecimal volume;

    @ExcelProperty("货架类型")
    private Integer shelfType;

    @ExcelProperty("排序")
    private Integer sort;

    @ExcelProperty("是否展示 默认为展示")
    private Integer status;

    @ExcelProperty("创建时间")
    private Date createTime;

}
