package cn.iocoder.yudao.module.depository.vo.warehouse;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@ApiModel("仓库查询参数")
public class WarehouseLineReq {
    @ApiModelProperty(value = "始发仓ID", required = true)
    @NotNull(message = "startWarehouseId不能为空")
    private Long startWarehouseId;

    @ApiModelProperty(value = "目的仓ID", required = true)
    @NotNull(message = "destWarehouseId不能为空")
    private Long destWarehouseId;

    @ApiModelProperty(value = "运输方式", required = true)
    @NotBlank(message = "transportType不能为空")
    private String transportType;
}
