package cn.iocoder.yudao.module.depository.vo.warehouse;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

@ApiModel("管理后台 - 仓库 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class WarehouseRespVO extends WarehouseBaseVO {

    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    private List<Long> deptIdList;

}
