package cn.iocoder.yudao.module.depository.vo.warehouseAreaPosition;

import lombok.*;
import io.swagger.annotations.*;

/**
* 仓位管理 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class WarehouseAreaPositionBaseVO {

    @ApiModelProperty(value = "库域ID")
    private Long domainId;

    @ApiModelProperty(value = "库域名称")
    private String domainName;

    @ApiModelProperty(value = "库区ID")
    private Long areaId;

    @ApiModelProperty(value = "库区名称")
    private String areaName;

    @ApiModelProperty(value = "仓库ID")
    private Long warehouseId;

    @ApiModelProperty(value = "仓位代码")
    private String code;

    @ApiModelProperty(value = "上级仓库")
    private Long pid;

    @ApiModelProperty(value = "是否是货架，1-是，0-不是")
    private Integer isShelf;

    @ApiModelProperty(value = "区域状态（0正常 1停用）")
    private Integer status;

}
