package cn.iocoder.yudao.module.depository.vo.warehouseLine;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 仓库线路关联 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class WarehouseLineBaseVO {

    @ApiModelProperty(value = "始发仓库id")
    private Long startWarehouseId;

    @ApiModelProperty(value = "目的仓库id")
    private Long destWarehouseId;

    @ApiModelProperty(value = "运输方式")
    private Integer transportType;

    @ApiModelProperty(value = "是否展示 默认为展示")
    private Integer status;

}
