package cn.iocoder.yudao.module.depository.vo.warehouseLine;

import cn.iocoder.yudao.module.depository.vo.lineChannelPackaging.LineChannelPackagingCreateReqVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ToString(callSuper = true)
@ApiModel("管理后台 - 仓库线路关联创建 Request VO")
public class WarehouseLineChannelPackagingCreateReqVO {



    @ApiModelProperty(value = "线路id", required = true)
    @NotNull(message = "线路不能为空")
    private Long lineId;


    /**
     * 空运线路渠道包装清关费阶梯价格
     */
    @ApiModelProperty(value = "空运线路渠道包装列表")
    private List<LineChannelPackagingCreateReqVO> packagingCreateReqVOList;


}
