package cn.iocoder.yudao.module.depository.config;

import cn.iocoder.yudao.framework.swagger.config.YudaoSwaggerAutoConfiguration;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import springfox.documentation.spring.web.plugins.Docket;

import javax.annotation.Resource;

/**
 * Swagger2 自动配置类
 * @author 捷道源码
 */
@Configuration
public class SwaggerDepositoryConfiguration {
    @Bean
    public Docket createDepositoryApi() {
        String title = "仓储信息";
        String author = "仓储信息";
        String basePackage = "cn.iocoder.yudao.module.depository";
        // 创建 Docket 对象
        return autoConfiguration.docket(title, author, basePackage);
    }

    @Resource
    private YudaoSwaggerAutoConfiguration autoConfiguration;
}
