package cn.iocoder.yudao.module.depository.convert.lineChannelPriceStepClearance;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.depository.dal.dataobject.lineChannelPriceStepClearance.LineChannelPriceStepClearanceDO;
import cn.iocoder.yudao.module.depository.vo.lineChannelPriceStepClearance.LineChannelPriceStepClearanceBackVO;
import cn.iocoder.yudao.module.depository.vo.lineChannelPriceStepClearance.LineChannelPriceStepClearanceCreateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 线路渠道清关费阶梯价格 Convert
 * @author yanghao
 */
@Mapper
public interface LineChannelPriceStepClearanceConvert {
    /*****转换MapStruct*****/
    LineChannelPriceStepClearanceConvert INSTANCE = Mappers.getMapper(LineChannelPriceStepClearanceConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    LineChannelPriceStepClearanceDO convert(LineChannelPriceStepClearanceCreateReqVO bean);

    /***
     * 创建VO转实体
     * @param createReqVOList
     * @return
     */
    List<LineChannelPriceStepClearanceDO> convertList(List<LineChannelPriceStepClearanceCreateReqVO> createReqVOList);

    List<LineChannelPriceStepClearanceBackVO> convertList2(List<LineChannelPriceStepClearanceDO> priceStepClearanceDOList);


    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    LineChannelPriceStepClearanceBackVO convert(LineChannelPriceStepClearanceDO bean);


    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<LineChannelPriceStepClearanceBackVO> convertPage(PageResult<LineChannelPriceStepClearanceDO> page);
}
