package cn.iocoder.yudao.module.depository.dal.dataobject.warehouse;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 部门仓库(多对多) DO
 *
 * @author wlh
 */
@TableName("ecw_dept_warehouse")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DeptWarehouseDO extends BaseDO {
    /**
     *
     */
    @TableId
    private Long id;

    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 仓库id
     */
    private Long warehouseId;
    /**
     * 0显示 1不显示
     */
    private Integer status;

}
