package cn.iocoder.yudao.module.depository.dal.dataobject.warehouse;

import lombok.*;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 货架格子 DO
 *
 * @author wlh
 */
@TableName("ecw_shelf_grid")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ShelfGridDO extends BaseDO {
    /**
     *
     */
    @TableId
    private Long id;

    /**
     * 货架ID
     */
    private Long shelfId;
    /**
     * 区域编码
     */
    private String regionCode;
    /**
     * 货架编号
     */
    private Integer shelfNo;
    /**
     * 库存容量
     */
    private BigDecimal volume;
    /**
     * 货架类型
     */
    private Integer shelfType;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 是否展示 默认为展示
     */
    private Integer status;

}
