package cn.iocoder.yudao.module.depository.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

/**
 * Member 错误码枚举类
 *
 * member 系统，使用 1-004-000-000 段
 */
public interface ErrorCodeConstants {


    ErrorCode PRODUCT_BRANK_NOT_EXISTS = new ErrorCode(1005008001, "品牌不存在");

    ErrorCode LINE_CHANNEL_PACKAGING_NOT_EXISTS = new ErrorCode(1005009002, "线路渠道清关费包装类型不存在");
    ErrorCode WAREHOUSE_LINE_NOT_EXISTS = new ErrorCode(1005009003, "仓库路线不存在");


    ErrorCode WAREHOUSE_LINE_CHANNEL_REPEAT = new ErrorCode(1005009004, "warehouse.line.channel.repeat");

    ErrorCode WAREHOUSE_LINE_CHANNEL_PACKAGING_TYPE_REPEAT = new ErrorCode(1005009005, "warehouse.line.channel.packaging.type.repeat");



}
