package cn.iocoder.yudao.module.depository.vo.shelf;

import lombok.*;
import java.util.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 货架 Excel VO
 *
 * @author wlh
 */
@Data
public class ShelfExcelVO {

    @ExcelProperty("仓库ID")
    private Long warehouseId;

    @ExcelProperty("区域名称")
    private String regionName;

    @ExcelProperty("区域编码")
    private String regionCode;

    @ExcelProperty("条码起始号")
    private Integer barcodeStart;

    @ExcelProperty("货架数量")
    private Integer shelfNum;

    @ExcelProperty("货架起始号")
    private Integer shelfStart;

    @ExcelProperty("货架层数")
    private Integer shelfLayer;

    @ExcelProperty("层数起始号")
    private Integer layerStart;

    @ExcelProperty("货架格数")
    private Integer shelfGridNum;

    @ExcelProperty("货架类型")
    private Integer shelfType;

    @ExcelProperty("排序")
    private Integer sort;

    @ExcelProperty("是否展示 默认为展示")
    private Integer status;

    @ExcelProperty("创建时间")
    private Date createTime;

}
