package cn.iocoder.yudao.module.depository.vo.warehouse;

import lombok.*;
import java.util.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 仓库 Excel VO
 *
 * @author wlh
 */
@Data
public class WarehouseExcelVO {

    @ExcelProperty("")
    private Long id;

    @ExcelProperty("上级仓库")
    private Long pid;

    @ExcelProperty("网点id")
    private Long nodeId;

    @ExcelProperty("类型")
    private Integer type;

    @ExcelProperty("仓库编号")
    private String number;

    @ExcelProperty("仓库简码")
    private String qianzhui;

    @ExcelProperty("仓库名称")
    private String titleZh;

    @ExcelProperty("英文名称")
    private String titleEn;

    @ExcelProperty("容量")
    private String volume;

    @ExcelProperty("仓库地址")
    private String addressZh;

    @ExcelProperty("英文地址")
    private String addressEn;

    @ExcelProperty("洲")
    private Long zhou;

    @ExcelProperty("国家")
    private Long guojia;

    @ExcelProperty("省")
    private Long sheng;

    @ExcelProperty("市")
    private Long shi;

    @ExcelProperty("负责人")
    private String head;

    @ExcelProperty("电话")
    private String tell;

    @ExcelProperty("字典:region_trade_type")
    private String tradeType;

    @ExcelProperty("运输方式id，多个用逗号隔开")
    private String freight;

    @ExcelProperty("图片地址")
    private String img;

    @ExcelProperty("备注")
    private String remark;

    @ExcelProperty("排序")
    private Integer sort;

    @ExcelProperty("是否展示 默认为展示")
    private Integer status;

    @ExcelProperty("创建时间")
    private Date createTime;

}
