package cn.iocoder.yudao.module.depository.vo.warehouse;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class WarehouseLineBindVO {

    @ApiModelProperty(value = "进出口类型,1-查看进口仓库，2-查看出口仓库")
    @NotNull(message = "tradeType不能为空")
    private String tradeType;

    @ApiModelProperty(value = "仓库id")
    @NotNull(message = "仓库id不能为空")
    //选择的当前仓库
    private Long id;

    //线路id
    private Long lineId;
    //运输方式
    private String transportType;
    //选择的仓库id
    private Long warehouseId;
}
