package cn.iocoder.yudao.module.depository.vo.warehouse;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class WarehouseLineRequestVO extends PageParam {
    @ApiModelProperty(value = "进出口类型,1-查看进口仓库，2-查看出口仓库")
    @NotNull(message = "tradeType不能为空")
    private String tradeType;

    @ApiModelProperty(value = "仓库id")
    @NotNull(message = "仓库id不能为空")
    private Long id;

}
