package cn.iocoder.yudao.module.depository.vo.warehouseArea;

import lombok.*;
import io.swagger.annotations.*;

/**
* 库区库域 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class WarehouseAreaBaseVO {

    @ApiModelProperty(value = "仓库ID")
    private Long warehouseId;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "代码")
    private String code;

    @ApiModelProperty(value = "上级ID,0-库域，有值-库区")
    private Long pid;

    @ApiModelProperty(value = "区域状态（0正常 1停用）")
    private Integer status;

}
