package cn.iocoder.yudao.module.depository.vo.warehouseLine;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 仓库线路关联更新 Request VO")
@Data
@ToString(callSuper = true)
public class WarehouseLineUpdateReqVO {

    @ApiModelProperty(value = "", required = true)
    @NotNull(message = "不能为空")
    private Long id;


    @ApiModelProperty(value = "始发地id")
    private Long startWarehouseId;

    @ApiModelProperty(value = "目的地id")
    private Long destWarehouseId;

    @ApiModelProperty(value = "运输方式")
    private Integer transportType;

    @ApiModelProperty(value = "是否展示 默认为展示")
    private Integer status;

}
